groovy-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Russel Winder <rus...@winder.org.uk>
Subject Re: New release of JCSP - (part of GPars) and groovyJCSP
Date Thu, 31 May 2018 16:56:17 GMT
Jon,

> I have yet to create a version of the library that is compiled for
> anything other than groovy-2.4.12 and jdk8.
> The former because in other work I am doing I cannot use any version
> above groovy2.4.12 due to a bug I found.  JDK 8 because I am lazy and
> waiting for JDK 11 before doing any further recompilations in
> preparation for teaching!!

No problem. JDK10 and JDK11 (I'll try it as well) shouldn't (!) be a
problem for this code. Groovy 2.5, and 3.0 may be. Worth investigating.

> With regard your last point putting it onto Maven Central: I have
> never used that repo, putting it onto jcenter has taken a lot of
> effort because I was getting to grips with gradle and intellij as
> well.  Send me a hint or a web page that tells me how to do it
> please!!

You are already ahead of me. I have failed to publish anything to
JCenter or Maven Central since the demise of Codehaus, despite support
by Schalk Cronjé. I drifted away to D and Rust for some GTK+3/GStreamer
stuff, and haven't found the energy to try and actually publish Gant or
GPars despite the fact that both need it.

-- 
Russel.
===========================================
Dr Russel Winder      t: +44 20 7585 2200
41 Buckmaster Road    m: +44 7770 465 077
London SW11 1EN, UK   w: www.russel.org.uk

Mime
View raw message